CVE-2015-2157

The (1) ssh2_load_userkey and (2) ssh2_save_userkey functions in PuTTY 0.51 through 0.63 do not properly wipe SSH-2 private keys from memory, which allows local users to obtain sensitive information by reading the memory.

Published : 2015-03-27 14:59 Updated : 2019-03-21 17:04

2.1
CVSS Score More info
Score 2.1 / 10
2.1
Vendor Product Version URI
Simon Tatham Putty 0.53 cpe:/a:simon_tatham:putty:0.53
Fedoraproject Fedora 22 cpe:/o:fedoraproject:fedora:22
Fedoraproject Fedora 20 cpe:/o:fedoraproject:fedora:20
Debian Debian Linux 7.0 cpe:/o:debian:debian_linux:7.0
Opensuse Opensuse 13.1 cpe:/o:opensuse:opensuse:13.1
Opensuse Opensuse 13.2 cpe:/o:opensuse:opensuse:13.2
Putty Putty 0.51 cpe:/a:putty:putty:0.51
Putty Putty 0.52 cpe:/a:putty:putty:0.52
Putty Putty 0.53b cpe:/a:putty:putty:0.53b
Putty Putty 0.54 cpe:/a:putty:putty:0.54
Putty Putty 0.55 cpe:/a:putty:putty:0.55
Putty Putty 0.56 cpe:/a:putty:putty:0.56
Putty Putty 0.57 cpe:/a:putty:putty:0.57
Putty Putty 0.58 cpe:/a:putty:putty:0.58
Putty Putty 0.59 cpe:/a:putty:putty:0.59
Putty Putty 0.60 cpe:/a:putty:putty:0.60
Putty Putty 0.61 cpe:/a:putty:putty:0.61
Putty Putty 0.62 cpe:/a:putty:putty:0.62
Putty Putty 0.63 cpe:/a:putty:putty:0.63
  1. Fedoraproject (1) Search CVE
    1. Fedora (2) Search CVE
      1. 22
      2. 20
  2. Simon Tatham (1) Search CVE
    1. Putty (1) Search CVE
      1. 0.53
  3. Putty (1) Search CVE
    1. Putty (13) Search CVE
      1. 0.51
      2. 0.52
      3. 0.53b
      4. 0.54
      5. 0.55
      6. 0.56
      7. 0.57
      8. 0.58
      9. 0.59
      10. 0.60
      11. 0.61
      12. 0.62
      13. 0.63
  4. Opensuse (1) Search CVE
    1. Opensuse (2) Search CVE
      1. 13.1
      2. 13.2
  5. Debian (1) Search CVE
    1. Debian Linux (1) Search CVE
      1. 7.0

CWE

ID Name Description Links
CWE-200 Information Exposure An information exposure is the intentional or unintentional disclosure of information to an actor that is not explicitly authorized to have access to that information. CVE

History of changes

Date Event
2019-03-21 17:04
2018-10-30 16:27
2015-03-27 14:59

New CVE